Mailinglist Archive: opensuse-updates (144 mails)

< Previous Next >
openSUSE-SU-2015:2263-1: moderate: Security update for libpng12
openSUSE Security Update: Security update for libpng12
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:2263-1
Rating: moderate
References: #954980
Cross-References: CVE-2015-8126
Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:


This update fixes the following security issue:
* CVE-2015-8126 Buffer overflow vulnerabilities in
png_get_PLTE/png_set_PLTE functions (bsc#954980)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-902=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-902=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libpng12-0-1.2.51-3.6.1
libpng12-0-debuginfo-1.2.51-3.6.1
libpng12-compat-devel-1.2.51-3.6.1
libpng12-debugsource-1.2.51-3.6.1
libpng12-devel-1.2.51-3.6.1

- openSUSE 13.2 (x86_64):

libpng12-0-32bit-1.2.51-3.6.1
libpng12-0-debuginfo-32bit-1.2.51-3.6.1
libpng12-compat-devel-32bit-1.2.51-3.6.1
libpng12-devel-32bit-1.2.51-3.6.1

- openSUSE 13.1 (i586 x86_64):

libpng12-0-1.2.50-6.10.1
libpng12-0-debuginfo-1.2.50-6.10.1
libpng12-compat-devel-1.2.50-6.10.1
libpng12-debugsource-1.2.50-6.10.1
libpng12-devel-1.2.50-6.10.1

- openSUSE 13.1 (x86_64):

libpng12-0-32bit-1.2.50-6.10.1
libpng12-0-debuginfo-32bit-1.2.50-6.10.1
libpng12-compat-devel-32bit-1.2.50-6.10.1
libpng12-devel-32bit-1.2.50-6.10.1


References:

https://www.suse.com/security/cve/CVE-2015-8126.html
https://bugzilla.suse.com/954980


< Previous Next >
This Thread
  • No further messages